# Class TokenResult

Namespace
  adas_core.Authentication.Models

Assembly
  adas-core.Authentication.dll

Represents the result of a token-related operation, encapsulating the outcome and any associated token data.

    public class TokenResult

Inheritance
  object
  TokenResult

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Properties

### AccessToken

    public string AccessToken { get; set; }

#### Property Value

string

### AccessTokenExpiryTime

    public DateTime AccessTokenExpiryTime { get; set; }

#### Property Value

DateTime

### RefreshToken

    public string RefreshToken { get; set; }

#### Property Value

string

### RefreshTokenExpiryTime

    public DateTime RefreshTokenExpiryTime { get; set; }

#### Property Value

DateTime

### User

    public User User { get; set; }

#### Property Value

User